Retrieve NFT details

Returns details for a given NFT. These include metadata_url, metadata such as name, description, attributes, etc., file_url, cached_file_url and mint_date. Ethereum, Polygon are supported.

Useful for:

  • For easily getting all the necessary information about a given NFT.

Related:

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The contract address of the NFT.

string
required

A unique uint256 ID inside the contract. The contract address and token ID pair is a globally unique and fully-qualified identifier for a specific NFT on chain.

Query Params
string
enum
Defaults to ethereum

Blockchain from which to query NFTs.

Allowed:
boolean
Defaults to false

Queues and refreshes the metadata of the token if it has changed since the updated_date. Useful for example, when NFT collections are revealed.

include
array of objects

[BETA] Available only for Ethereum. Include optional data in the response. rarity includes NFT rarity data. attributes includes NFT attributes (traits)

include
Response

nft property that contains details for a single NFT.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json